# Maintainer: duxet <duxetlg@gmail.com>
# Changes
# Changed to ARM and bumped revision. Will Christensen 20190407

pkgname=k3s-bin
pkgver=1.27.3
pkgrel=1
pkgdesc="Lightweight Kubernetes"
url="https://k3s.io"
license=('Apache')
arch=('aarch64')
conflicts=('k3s-git')

source=(
  "k3s-${pkgver}::https://github.com/rancher/k3s/releases/download/v${pkgver}%2Bk3s1/k3s-arm64"
  "k3s.service"
  "k3s-agent.service"
)
package() {
  install -Dm 755 $srcdir/k3s-${pkgver} $pkgdir/usr/bin/k3s

  install -dm 755 $pkgdir/usr/lib/systemd/system
  install -m 644 $srcdir/k3s.service $pkgdir/usr/lib/systemd/system/k3s.service
  install -m 644 $srcdir/k3s-agent.service $pkgdir/usr/lib/systemd/system/k3s-agent.service
}
sha256sums=('00e6ee3700c41d3f375902df721c68abcb71782cf4c3f600214839e34e77395e'
            '53ef80810d7108de02375ce4c4aa30489730673d1906a7dd2aea3110c3a6f48e'
            'bad5aa2dce9aaab83bf1f2fd0432fa10e7177fef85ecb16fbf120ee2c005f023')
